package com.sf.day10.homework.homework1;

public class TestLiveAble {
    public static void main(String[] args) {
        // 创建实现类（子类）对象
        LiveAble liveAble = new Animal();
        // 调用实现后的方法
        liveAble.eat();
        liveAble.sleep();
        liveAble.breathe();
        //创建实现类（子类）对象
        LiveAble liveAble1 = new Plant();
        liveAble1.eat();
        liveAble1.sleep();
        liveAble1.breathe();
        //通过接口调用静态方法
        LiveAble.drink();
    }
}
